#! /bin/bash

REPO=/Users/cloudwords/version-control-test/gitrepo
WORKING_DIR=/Users/cloudwords/version-control-test/working/git

unset GIT_DIR

cd $WORKING_DIR

git pull

/opt/cloudwords-cli/cw-cli pull -x

CHANGES=$(git status -s | wc -l)

if [ "$CHANGES" != "0" ]; then
	git add --all .
	git commit -m "(Cloudwords Integration) Add translations from Cloudwords"
	git push
fi

HEAD=`git rev-list --count HEAD`
/opt/cloudwords-cli/cw-cli project -c "changes in $HEAD" -s en -t fr --pattern %D/%n-%l.html -u *-en.html
