#! /bin/bash

REPO=/Users/cloudwords/version-control-test/gitrepo
WORKING_DIR=/Users/cloudwords/version-control-test/working/git

unset GIT_DIR

if [ ! -e "$WORKING_DIR" ]; then
	git clone $REPO $WORKING_DIR
else
	cd $WORKING_DIR
	git pull
fi

cd $WORKING_DIR

/opt/cloudwords-cli/cw-cli pull -x

CHANGES=$(git status -s | wc -l)

if [ "$CHANGES" != "0" ]; then
	git add --all .
	git commit -m "(Cloudwords Integration) Add translations from Cloudwords"
	git push
fi
